# -*- coding: utf-8 -*-
from __future__ import unicode_literals

from django.db import models, migrations
import shortuuidfield.fields


class Migration(migrations.Migration):

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='LensmanInfo',
            fields=[
                ('id', models.AutoField(verbose_name='ID', serialize=False, auto_created=True, primary_key=True)),
                ('status', models.BooleanField(default=True, help_text='\u72b6\u6001', verbose_name='status')),
                ('created_at', models.DateTimeField(help_text='\u521b\u5efa\u65f6\u95f4', verbose_name='created_at', auto_now_add=True)),
                ('updated_at', models.DateTimeField(help_text='\u66f4\u65b0\u65f6\u95f4', verbose_name='updated_at', auto_now=True)),
                ('lensman_id', shortuuidfield.fields.ShortUUIDField(help_text='\u6444\u5f71\u5e08\u552f\u4e00\u6807\u8bc6', max_length=22, editable=False, db_index=True, blank=True)),
                ('name', models.CharField(help_text='\u6444\u5f71\u5e08\u59d3\u540d', max_length=255, null=True, verbose_name='name', blank=True)),
                ('sex', models.IntegerField(default=0, help_text='\u6444\u5f71\u5e08\u6027\u522b', verbose_name='sex', choices=[(0, '\u7537'), (1, '\u5973')])),
                ('phone', models.CharField(null=True, max_length=255, blank=True, help_text='\u6444\u5f71\u5e08\u7535\u8bdd', unique=True, verbose_name='phone', db_index=True)),
                ('location', models.CharField(help_text='\u6444\u5f71\u5e08\u5730\u5740', max_length=255, null=True, verbose_name='location', blank=True)),
                ('proportion', models.FloatField(default=1.0, help_text='\u6444\u5f71\u5e08\u5206\u6210\u6bd4\u4f8b\uff080.0 \uff5e 1.0\uff09', verbose_name='proportion')),
            ],
            options={
                'verbose_name': 'lensmaninfo',
                'verbose_name_plural': 'lensmaninfo',
            },
        ),
    ]
