# -*- coding: utf-8 -*-
from __future__ import unicode_literals

from django.db import models, migrations


class Migration(migrations.Migration):

    dependencies = [
        ('account', '0004_auto_20151207_1811'),
    ]

    operations = [
        migrations.CreateModel(
            name='LensmanLoginLogInfo',
            fields=[
                ('id', models.AutoField(verbose_name='ID', serialize=False, auto_created=True, primary_key=True)),
                ('status', models.BooleanField(default=True, help_text='\u72b6\u6001', verbose_name='status')),
                ('created_at', models.DateTimeField(help_text='\u521b\u5efa\u65f6\u95f4', verbose_name='created_at', auto_now_add=True)),
                ('updated_at', models.DateTimeField(help_text='\u66f4\u65b0\u65f6\u95f4', verbose_name='updated_at', auto_now=True)),
                ('lensman_id', models.CharField(max_length=255, blank=True, help_text='\u6444\u5f71\u5e08\u552f\u4e00\u6807\u8bc6', null=True, verbose_name='lensman_id', db_index=True)),
                ('login_ip', models.CharField(help_text='\u767b\u5f55IP', max_length=255, null=True, verbose_name='login_ip', blank=True)),
                ('login_result', models.IntegerField(default=0, verbose_name='login_result', choices=[(0, '\u767b\u5f55\u6210\u529f'), (1, '\u5bc6\u7801\u9519\u8bef'), (2, '\u5176\u4ed6')])),
            ],
            options={
                'verbose_name': 'lensmanloginloginfo',
                'verbose_name_plural': 'lensmanloginloginfo',
            },
        ),
        migrations.CreateModel(
            name='UserInfo',
            fields=[
                ('id', models.AutoField(verbose_name='ID', serialize=False, auto_created=True, primary_key=True)),
                ('status', models.BooleanField(default=True, help_text='\u72b6\u6001', verbose_name='status')),
                ('created_at', models.DateTimeField(help_text='\u521b\u5efa\u65f6\u95f4', verbose_name='created_at', auto_now_add=True)),
                ('updated_at', models.DateTimeField(help_text='\u66f4\u65b0\u65f6\u95f4', verbose_name='updated_at', auto_now=True)),
                ('user_id', models.CharField(null=True, max_length=255, blank=True, help_text='\u7528\u6237\u552f\u4e00\u6807\u8bc6', unique=True, verbose_name='user_id', db_index=True)),
                ('username', models.CharField(null=True, max_length=255, blank=True, help_text='\u7528\u6237\u7528\u6237\u540d', unique=True, verbose_name='username', db_index=True)),
                ('password', models.CharField(help_text='\u7528\u6237\u5bc6\u7801', max_length=255, null=True, verbose_name='password', blank=True)),
                ('name', models.CharField(help_text='\u7528\u6237\u59d3\u540d', max_length=255, null=True, verbose_name='name', blank=True)),
                ('sex', models.IntegerField(default=0, help_text='\u7528\u6237\u6027\u522b', verbose_name='sex', choices=[(0, '\u7537'), (1, '\u5973')])),
                ('phone', models.CharField(null=True, max_length=255, blank=True, help_text='\u7528\u6237\u7535\u8bdd', unique=True, verbose_name='phone', db_index=True)),
                ('location', models.CharField(help_text='\u7528\u6237\u5730\u5740', max_length=255, null=True, verbose_name='location', blank=True)),
                ('user_status', models.IntegerField(default=0, verbose_name='user_status', choices=[(0, '\u672a\u9a8c\u8bc1'), (1, '\u5df2\u6fc0\u6d3b'), (2, '\u5df2\u7981\u7528'), (3, '\u5df2\u5220\u9664')])),
                ('signup_ip', models.CharField(help_text='\u6ce8\u518cIP', max_length=255, null=True, verbose_name='signup_ip', blank=True)),
                ('login_ip', models.CharField(help_text='\u767b\u5f55IP', max_length=255, null=True, verbose_name='login_ip', blank=True)),
                ('login_at', models.DateTimeField(help_text='\u767b\u5f55\u65f6\u95f4', null=True, verbose_name='login_at', blank=True)),
            ],
            options={
                'verbose_name': 'userinfo',
                'verbose_name_plural': 'userinfo',
            },
        ),
        migrations.CreateModel(
            name='UserLoginLogInfo',
            fields=[
                ('id', models.AutoField(verbose_name='ID', serialize=False, auto_created=True, primary_key=True)),
                ('status', models.BooleanField(default=True, help_text='\u72b6\u6001', verbose_name='status')),
                ('created_at', models.DateTimeField(help_text='\u521b\u5efa\u65f6\u95f4', verbose_name='created_at', auto_now_add=True)),
                ('updated_at', models.DateTimeField(help_text='\u66f4\u65b0\u65f6\u95f4', verbose_name='updated_at', auto_now=True)),
                ('user_id', models.CharField(max_length=255, blank=True, help_text='\u7528\u6237\u552f\u4e00\u6807\u8bc6', null=True, verbose_name='user_id', db_index=True)),
                ('login_ip', models.CharField(help_text='\u767b\u5f55IP', max_length=255, null=True, verbose_name='login_ip', blank=True)),
                ('login_result', models.IntegerField(default=0, verbose_name='login_result', choices=[(0, '\u767b\u5f55\u6210\u529f'), (1, '\u5bc6\u7801\u9519\u8bef'), (2, '\u5176\u4ed6')])),
            ],
            options={
                'verbose_name': 'userloginloginfo',
                'verbose_name_plural': 'userloginloginfo',
            },
        ),
        migrations.AddField(
            model_name='lensmaninfo',
            name='login_at',
            field=models.DateTimeField(help_text='\u767b\u5f55\u65f6\u95f4', null=True, verbose_name='login_at', blank=True),
        ),
        migrations.AddField(
            model_name='lensmaninfo',
            name='login_ip',
            field=models.CharField(help_text='\u767b\u5f55IP', max_length=255, null=True, verbose_name='login_ip', blank=True),
        ),
        migrations.AddField(
            model_name='lensmaninfo',
            name='signup_ip',
            field=models.CharField(help_text='\u6ce8\u518cIP', max_length=255, null=True, verbose_name='signup_ip', blank=True),
        ),
    ]
