# -*- coding: utf-8 -*-
from __future__ import unicode_literals

from django.db import models, migrations


class Migration(migrations.Migration):

    dependencies = [
        ('account', '0019_auto_20161024_1235'),
    ]

    operations = [
        migrations.CreateModel(
            name='TourGuideInfo',
            fields=[
                ('id', models.AutoField(verbose_name='ID', serialize=False, auto_created=True, primary_key=True)),
                ('status', models.BooleanField(default=True, help_text='\u72b6\u6001', db_index=True, verbose_name='status')),
                ('created_at', models.DateTimeField(help_text='\u521b\u5efa\u65f6\u95f4', verbose_name='created_at', auto_now_add=True)),
                ('updated_at', models.DateTimeField(help_text='\u66f4\u65b0\u65f6\u95f4', verbose_name='updated_at', auto_now=True)),
                ('tourguide_id', models.CharField(null=True, max_length=255, blank=True, help_text='\u5bfc\u6e38\u552f\u4e00\u6807\u8bc6', unique=True, verbose_name='tourguide_id', db_index=True)),
                ('unionid', models.CharField(null=True, max_length=255, blank=True, help_text='\u5fae\u4fe1 Union ID', unique=True, verbose_name='unionid', db_index=True)),
                ('name', models.CharField(help_text='\u5bfc\u6e38\u59d3\u540d', max_length=255, null=True, verbose_name='name', blank=True)),
                ('sex', models.IntegerField(default=1, help_text='\u5bfc\u6e38\u6027\u522b', verbose_name='sex', choices=[(1, '\u7537'), (0, '\u5973')])),
                ('phone', models.CharField(null=True, max_length=255, blank=True, help_text='\u5bfc\u6e38\u7535\u8bdd', unique=True, verbose_name='phone', db_index=True)),
                ('location', models.CharField(help_text='\u5bfc\u6e38\u5730\u5740', max_length=255, null=True, verbose_name='location', blank=True)),
                ('no', models.CharField(help_text='\u5bfc\u6e38\u8bc1\u7f16\u53f7', max_length=255, null=True, verbose_name='no', blank=True)),
                ('user_status', models.IntegerField(default=0, verbose_name='user_status', choices=[(-1, '\u5df2\u62d2\u7edd'), (0, '\u672a\u9a8c\u8bc1'), (1, '\u5df2\u6fc0\u6d3b'), (2, '\u5df2\u7981\u7528'), (3, '\u5df2\u5220\u9664'), (10, '\u5df2\u5206\u914d')])),
                ('refused_reason', models.TextField(help_text='\u5ba1\u6838\u62d2\u7edd\u539f\u56e0', null=True, verbose_name='refused_reason', blank=True)),
            ],
            options={
                'verbose_name': 'tourguideinfo',
                'verbose_name_plural': 'tourguideinfo',
            },
        ),
    ]
