# -*- coding: utf-8 -*-
from __future__ import unicode_literals

from django.db import models, migrations
import operation.models


class Migration(migrations.Migration):

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='LatestAppInfo',
            fields=[
                ('id', models.AutoField(verbose_name='ID', serialize=False, auto_created=True, primary_key=True)),
                ('status', models.BooleanField(default=True, help_text='\u72b6\u6001', verbose_name='status')),
                ('created_at', models.DateTimeField(help_text='\u521b\u5efa\u65f6\u95f4', verbose_name='created_at', auto_now_add=True)),
                ('updated_at', models.DateTimeField(help_text='\u66f4\u65b0\u65f6\u95f4', verbose_name='updated_at', auto_now=True)),
                ('latest_version', models.CharField(help_text='\u6700\u65b0\u7248\u672c', max_length=255, verbose_name='latest_version')),
                ('latest_app', models.FileField(help_text='\u6700\u65b0\u7248 APP', upload_to=operation.models.upload_path, null=True, verbose_name='latest_app', blank=True)),
                ('latest_url', models.URLField(help_text='\u6700\u65b0\u7248 APP \u94fe\u63a5', max_length=255, null=True, verbose_name='latest_url', blank=True)),
            ],
            options={
                'verbose_name': 'latestappinfo',
                'verbose_name_plural': 'latestappinfo',
            },
        ),
        migrations.CreateModel(
            name='SplashInfo',
            fields=[
                ('id', models.AutoField(verbose_name='ID', serialize=False, auto_created=True, primary_key=True)),
                ('status', models.BooleanField(default=True, help_text='\u72b6\u6001', verbose_name='status')),
                ('created_at', models.DateTimeField(help_text='\u521b\u5efa\u65f6\u95f4', verbose_name='created_at', auto_now_add=True)),
                ('updated_at', models.DateTimeField(help_text='\u66f4\u65b0\u65f6\u95f4', verbose_name='updated_at', auto_now=True)),
                ('splash_image', models.ImageField(help_text='\u542f\u52a8\u9875\u9762\u56fe\u7247', upload_to=operation.models.upload_path, null=True, verbose_name='splash_image', blank=True)),
                ('spalash_image_airtime', models.DateTimeField(help_text='\u542f\u52a8\u9875\u9762\u56fe\u7247\u5f00\u59cb\u65e5\u671f', null=True, verbose_name='spalash_image_airtime', blank=True)),
                ('spalash_image_deadline', models.DateTimeField(help_text='\u542f\u52a8\u9875\u9762\u56fe\u7247\u622a\u6b62\u65e5\u671f', null=True, verbose_name='spalash_image_deadline', blank=True)),
            ],
            options={
                'verbose_name': 'splashinfo',
                'verbose_name_plural': 'splashinfo',
            },
        ),
    ]
