# -*- coding: utf-8 -*-
from __future__ import unicode_literals

from django.db import models, migrations


class Migration(migrations.Migration):

    dependencies = [
        ('operation', '0007_auto_20160907_1740'),
    ]

    operations = [
        migrations.CreateModel(
            name='APPSettingsInfo',
            fields=[
                ('id', models.AutoField(verbose_name='ID', serialize=False, auto_created=True, primary_key=True)),
                ('status', models.BooleanField(default=True, help_text='\u72b6\u6001', db_index=True, verbose_name='status')),
                ('created_at', models.DateTimeField(help_text='\u521b\u5efa\u65f6\u95f4', verbose_name='created_at', auto_now_add=True)),
                ('updated_at', models.DateTimeField(help_text='\u66f4\u65b0\u65f6\u95f4', verbose_name='updated_at', auto_now=True)),
                ('platform', models.IntegerField(default=0, help_text='\u652f\u6301\u5e73\u53f0', db_index=True, verbose_name='plat', choices=[(0, '\u5168\u5e73\u53f0'), (1, 'Android'), (2, 'iOS')])),
                ('channel', models.CharField(help_text='\u6e20\u9053', max_length=255, null=True, verbose_name='channel', blank=True)),
                ('version', models.CharField(help_text='\u7248\u672c', max_length=255, null=True, verbose_name='version', blank=True)),
                ('online', models.BooleanField(default=True, help_text='\u662f\u5426\u4e0a\u7ebf', verbose_name='online')),
            ],
            options={
                'verbose_name': 'appsettingsinfo',
                'verbose_name_plural': 'appsettingsinfo',
            },
        ),
    ]
