# -*- coding: utf-8 -*-
from __future__ import unicode_literals

from django.db import models, migrations
import operation.models


class Migration(migrations.Migration):

    dependencies = [
        ('operation', '0009_auto_20161220_1354'),
    ]

    operations = [
        migrations.CreateModel(
            name='PatchInfo',
            fields=[
                ('id', models.AutoField(verbose_name='ID', serialize=False, auto_created=True, primary_key=True)),
                ('status', models.BooleanField(default=True, help_text='\u72b6\u6001', db_index=True, verbose_name='status')),
                ('created_at', models.DateTimeField(help_text='\u521b\u5efa\u65f6\u95f4', verbose_name='created_at', auto_now_add=True)),
                ('updated_at', models.DateTimeField(help_text='\u66f4\u65b0\u65f6\u95f4', verbose_name='updated_at', auto_now=True)),
                ('platform', models.IntegerField(default=0, help_text='\u652f\u6301\u5e73\u53f0', db_index=True, verbose_name='plat', choices=[(0, '\u5168\u5e73\u53f0'), (1, 'Android'), (2, 'iOS')])),
                ('version', models.CharField(help_text='\u7248\u672c\uff081.0.0\uff09', max_length=255, null=True, verbose_name='version', blank=True)),
                ('patch', models.FileField(help_text='\u8865\u4e01', upload_to=operation.models.upload_path, null=True, verbose_name='patch', blank=True)),
                ('src', models.IntegerField(default=0, help_text='\u6700\u65b0\u7248\u6765\u6e90', db_index=True, verbose_name='src', choices=[(0, '\u62cd\u7231\u7528\u6237\u7aef'), (1, '\u62cd\u7231\u6444\u5f71\u5e08\u7aef'), (2, '\u62cd\u7231\u5bfc\u6e38\u7aef')])),
            ],
            options={
                'verbose_name': 'patchinfo',
                'verbose_name_plural': 'patchinfo',
            },
        ),
        migrations.AlterField(
            model_name='appsettingsinfo',
            name='version',
            field=models.CharField(help_text='\u7248\u672c\uff081.0.0\uff09', max_length=255, null=True, verbose_name='version', blank=True),
        ),
    ]
