# -*- coding: utf-8 -*-

from django.contrib import admin

from photo.models import PhotosInfo, PhotoUUIDInfo, UUIDInfo


class UUIDInfoAdmin(admin.ModelAdmin):
    list_display = ('uuid', 'lensman_id', 'status', 'created_at', 'updated_at')
    list_filter = ('lensman_id', 'status')


class PhotoUUIDInfoAdmin(admin.ModelAdmin):
    list_display = ('photo_md5', 'photo_path', 'photo_watermark_path', 'photo_thumbnail_path', 'photo_thumbnail2_path', 'status', 'created_at', 'updated_at')
    list_filter = ('status', )


class PhotosInfoAdmin(admin.ModelAdmin):
    list_display = ('lensman_id', 'session_id', 'photo_id', 'p_photo_path', 'm_photo_path', 'l_photo_path', 'r_photo_path', 'status', 'created_at', 'updated_at')
    list_filter = ('lensman_id', 'status')


# admin.site.register(UUIDInfo, UUIDInfoAdmin)
# admin.site.register(PhotosInfo, PhotosInfoAdmin)
# admin.site.register(PhotoUUIDInfo, PhotoUUIDInfoAdmin)
