# -*- coding: utf-8 -*-
from __future__ import unicode_literals

from django.db import models, migrations


class Migration(migrations.Migration):

    dependencies = [
        ('operation', '0003_feedbackinfo'),
    ]

    operations = [
        migrations.CreateModel(
            name='GuestEntranceControlInfo',
            fields=[
                ('id', models.AutoField(verbose_name='ID', serialize=False, auto_created=True, primary_key=True)),
                ('status', models.BooleanField(default=True, help_text='\u72b6\u6001', db_index=True, verbose_name='status')),
                ('created_at', models.DateTimeField(help_text='\u521b\u5efa\u65f6\u95f4', verbose_name='created_at', auto_now_add=True)),
                ('updated_at', models.DateTimeField(help_text='\u66f4\u65b0\u65f6\u95f4', verbose_name='updated_at', auto_now=True)),
                ('platform', models.IntegerField(default=0, help_text='\u652f\u6301\u5e73\u53f0', db_index=True, verbose_name='plat', choices=[(0, '\u5168\u5e73\u53f0'), (1, 'Android'), (2, 'iOS')])),
                ('min_adr', models.CharField(help_text='Adr \u6700\u4f4e\u7248\u672c', max_length=255, null=True, verbose_name='min_adr', blank=True)),
                ('min_ios', models.CharField(help_text='iOS \u6700\u4f4e\u7248\u672c', max_length=255, null=True, verbose_name='min_ios', blank=True)),
                ('max_adr', models.CharField(help_text='Adr \u6700\u9ad8\u7248\u672c', max_length=255, null=True, verbose_name='max_adr', blank=True)),
                ('max_ios', models.CharField(help_text='iOS \u6700\u9ad8\u7248\u672c', max_length=255, null=True, verbose_name='max_ios', blank=True)),
            ],
            options={
                'verbose_name': 'guestentrancecontrolinfo',
                'verbose_name_plural': 'guestentrancecontrolinfo',
            },
        ),
    ]
