# -*- coding: utf-8 -*-
from __future__ import unicode_literals

from django.db import models, migrations


class Migration(migrations.Migration):

    dependencies = [
        ('operation', '0011_auto_20170315_2243'),
    ]

    operations = [
        migrations.CreateModel(
            name='BoxProgramVersionInfo',
            fields=[
                ('id', models.AutoField(verbose_name='ID', serialize=False, auto_created=True, primary_key=True)),
                ('status', models.BooleanField(default=True, help_text='\u72b6\u6001', db_index=True, verbose_name='status')),
                ('created_at', models.DateTimeField(help_text='\u521b\u5efa\u65f6\u95f4', verbose_name='created_at', auto_now_add=True)),
                ('updated_at', models.DateTimeField(help_text='\u66f4\u65b0\u65f6\u95f4', verbose_name='updated_at', auto_now=True)),
                ('srv_version_code', models.IntegerField(default=0, help_text='Box Server \u7248\u672c\u53f7', verbose_name='srv_version_code')),
                ('srv_version_name', models.CharField(help_text='Box Server \u7248\u672c\u540d', max_length=255, null=True, verbose_name='srv_version_name', blank=True)),
                ('proc_version_code', models.IntegerField(default=0, help_text='Box Proc \u7248\u672c\u53f7', verbose_name='proc_version_code')),
                ('proc_version_name', models.CharField(help_text='Box Proc \u7248\u672c\u540d', max_length=255, null=True, verbose_name='proc_version_name', blank=True)),
            ],
            options={
                'verbose_name': 'boxprogramversioninfo',
                'verbose_name_plural': 'boxprogramversioninfo',
            },
        ),
    ]
